Bug 18992 - logrotate runs sharedscripts even if no logs rotated
Summary: logrotate runs sharedscripts even if no logs rotated
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-12 19:17 UTC by Alexander Kourakos
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-12 19:19:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a patch that fixes for postrotate only (also fixes a couple other minor things) (3.39 KB, patch)
2000-10-12 19:19 UTC, Alexander Kourakos
no flags Details | Diff
patch that makes pre/post only run when logs rotated (31.99 KB, patch)
2000-10-19 20:39 UTC, Alexander Kourakos
no flags Details | Diff

Description Alexander Kourakos 2000-10-12 19:17:16 UTC
logrotate on RH7 runs the post/pre rotate scripts if sharedscripts is 
specified, even if none of the corresponding logs need rotating. This 
is different behavior than when sharedscripts is not specified.

Comment 1 Alexander Kourakos 2000-10-12 19:19:51 UTC
Created attachment 4112 [details]
a patch that fixes for postrotate only (also fixes a couple other minor things)

Comment 2 Erik Troan 2000-10-12 23:15:45 UTC
This isn't a bug -- this behavior is documented in the man page. If you give
me a patch that fixes this for shared pre scripts as well though, I'll apply it
as that's a nicer behavior. Running the pre w/o running the post is dirty
though.

Comment 3 Alexander Kourakos 2000-10-19 20:39:34 UTC
Created attachment 4407 [details]
patch that makes pre/post only run when logs rotated


Note You need to log in before you can comment on or make changes to this bug.